CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::session_interface_cookie_adapter Class Referenceabstract

`#include <cppcms/session_interface.h>`

Inheritance diagram for cppcms::session_interface_cookie_adapter:

## Public Member Functions
virtual void | set_cookie (http::cookie const &updated_cookie)=0
virtual std::string | get_session_cookie (std::string const &name)=0
virtual std::set< std::string > | get_cookie_names ()=0

## Detailed Description

API to handle session cookies.

This API allows two things:

(a) Integration with 3rd part web technologies to access CppCMS session, i.e. using CppCMS session from PHP or Java Servlets

(b) An API that allows to translate cookies session tracking system to a different method when cookies do not suite the design - for example for internal RPC systems, etc. Note incorrect use of non-cookies medium may expose you to security issues

New in CppCMS 1.2

## Member Function Documentation

virtual std::set<std::string> cppcms::session_interface_cookie_adapter::get_cookie_names | ( |  | ) |
| pure virtual

Get all cookie keys

virtual std::string cppcms::session_interface_cookie_adapter::get_session_cookie | ( | std::string const & | name | ) |
| pure virtual

Get value of a cookie, it is guaranted that name is what session_interface::session_cookie_name() returns

virtual void cppcms::session_interface_cookie_adapter::set_cookie | ( | http::cookie const & | updated_cookie | ) |
| pure virtual

Set a new cookie value

The documentation for this class was generated from the following file:

- cppcms/session_interface.h